Zeitgeist.Log.install_monitor – zeitgeist-2.0 Reference Manual

# install_monitor

## Description:

public void install_monitor (Monitor monitor) throws Error

Install a monitor in the Zeitgeist engine that calls back when events matching event_templates are logged. The matching is done exactly as in the find_* family of methods and in Event.matches_template. Furthermore matched events must also have timestamps lying in time_range.

To remove a monitor call remove_monitor() on the returned Monitor instance.

## Parameters:

monitor | A Monitor to report back inserts and deletes